org.apache.lucene.search

## Interface FieldCache.IntParser

- All Superinterfaces:
    FieldCache.Parser
  Enclosing interface:
    FieldCache

      public static interface FieldCache.IntParser
      extends FieldCache.Parser

  Interface to parse ints from document fields.
  See Also:
    `FieldCache.getInts(AtomicReader, String, FieldCache.IntParser, boolean)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `parseInt(BytesRef term)` Return an integer representation of this field's value.

    - ### Methods inherited from interface org.apache.lucene.search.FieldCache.Parser

      `termsEnum`

- - ### Method Detail

    - #### parseInt

          int parseInt(BytesRef term)

      Return an integer representation of this field's value.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.